libjs-lunr_2.3.5~dfsg-7_all.deb


Advertisement

Description

libjs-lunr - simple full-text search - web browsers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libjs-lunr_2.3.5~dfsg-7_all.deb
Package name libjs-lunr
Package version 2.3.5~dfsg
Package release 7
Package architecture all
Package type deb
Category javascript
Homepage https://lunrjs.com/
License -
Maintainer Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Download size 49.37 KB
Installed size 188.00 KB
Lunr.js is a small, full-text search library for use in the browser.
It indexes JSON documents and provides a simple search interface
for retrieving documents that best match text queries.
This package provides Lunr for use directly in web browsers.
Browsers that do not support ES5 will require a JavaScript shim
for Lunr to work.
You can either use Augment.js, ES5-Shim,
or any library that patches old browsers
to provide an ES5 compatible JavaScript environment.

Alternatives

Package Version Architecture Repository
libjs-lunr_2.3.5~dfsg-7_all.deb 2.3.5~dfsg all Debian Main
libjs-lunr - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libjs-lunr_2.3.5~dfsg-7_all.deb
Source Package node-lunr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjs-lunr deb package:
    # sudo apt-get install libjs-lunr

Files

Path
/usr/share/doc/libjs-lunr/README.md
/usr/share/doc/libjs-lunr/changelog.Debian.gz
/usr/share/doc/libjs-lunr/changelog.gz
/usr/share/doc/libjs-lunr/copyright
/usr/share/javascript/lunr/lunr.js
/usr/share/javascript/lunr/lunr.min.js
/usr/share/javascript/lunr/lunr.min.map

Changelog

2019-02-24 - Jonas Smedegaard <dr@jones.dk>
node-lunr (2.3.5~dfsg-7) unstable; urgency=medium
* Update watch file:
+ Generalize version mangling for repackaging.
+ Simplify regular expressions.
+ Rewrite usage comment.
* Update copyright info:
+ Drop superfluous alternate Source URL.
+ Extend coverage of packaging.
* Add patch 2003 to make the build reproducible.
Closes: Bug#923169. Thanks to Chris Lamb.
* Fix strip bogus sentence from long description.
2018-12-30 - Jonas Smedegaard <dr@jones.dk>
node-lunr (2.3.5~dfsg-6) unstable; urgency=medium
* Generate source-map with minified JavaScript.
Build-depend on node-source-map.
2018-12-28 - Bastien Roucari├Ęs <rouc@debian.org>
node-lunr (2.3.5~dfsg-5) unstable; urgency=medium
* Team upload
* Require node-chai (>= 4) for debci
2018-12-27 - Jonas Smedegaard <dr@jones.dk>
node-lunr (2.3.5~dfsg-4) unstable; urgency=medium
* Update copyright info: Fix primary source URL.
2018-12-27 - Jonas Smedegaard <dr@jones.dk>
node-lunr (2.3.5~dfsg-3) unstable; urgency=medium
* Have libjs-lunr suggest libjs-es5-shim.
Mention in libjs-es5-shim long description
the need for ES5 shim for older browsers.
* Tighten patch 2002:
+ Refresh with tightening quilt options.
+ Add DEP3 header.
* Set Rules-Requires-Root: no.
* Declare compliance with Debian Policy 4.3.0.
2018-12-27 - Bastien Roucari├Ęs <rouca@debian.org>
node-lunr (2.3.5~dfsg-2) unstable; urgency=high
* Team upload
* Fix FTBFS with newer node-chai.
2018-11-24 - Jonas Smedegaard <dr@jones.dk>
node-lunr (2.3.5~dfsg-1) unstable; urgency=low
* Initial release.
Closes: Bug#914555.

See Also

Package Description
libjs-magic-search_0.2.5-1_all.deb AngularJS widget that provides a UI for faceted and text search
libjs-markdown-it-html5-embed_1.0.0+ds-2_all.deb Markdown-it plugin for embedding audio/video in the HTML5 way
libjs-markdown-it-sub_1.0.0-2_all.deb javascript markdown parser subscript plugin
libjs-markdown-it-sup_1.0.0-2_all.deb javascript markdown parser superscript plugin
libjs-markdown-it_8.4.2-2_all.deb javascript markdown parser
libjs-marked_0.5.1+dfsg-1_all.deb Full-featured markdown parser and compiler
libjs-mathjax-doc_2.7+20171212-1_all.deb JavaScript display engine for LaTeX and MathML (documentation)
libjs-mathjax_2.7.4+dfsg-1_all.deb JavaScript display engine for LaTeX and MathML
libjs-matrix-js-sdk_0.9.2-1_all.deb JavaScript Client-Server SDK for the Matrix protocol
libjs-mediaelement_2.15.1+dfsg-1_all.deb HTML5 <audio> or <video> player with Flash and Silverlight shims
libjs-merge_1.2.0-2_all.deb JavaScript utility for merging multiple objects into one
libjs-mgrs_0.0.3-3_all.deb Javascript for converting between WGS84 lat/lng and MGRS coordinates
libjs-microplugin.js_0.0.3+dfsg-1_all.deb Lightweight plugin / dependency system for libraries
libjs-mochikit_1.4.2-4_all.deb JavaScript library inspired by Python
libjs-modernizr_2.6.2+ds1-3_all.deb JavaScript library to detect HTML5 and CSS3 features in the user's browser
Advertisement
Advertisement